#### PyKDE - Python Bindings for KDE

# class KIO.SessionData |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KIO.SessionData
Inherits | QObject

### methods

- SessionData ()

  returns a SessionData instance

- configDataFor (configData, proto, host)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  configData | KIO.MetaData |
  proto | QString |
  host | QString |

- reset ()

  returns nothing

- slotAuthData (a0, a1, a2)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QCString |
  a1 | QCString |
  a2 | bool |

- slotDelAuthData (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QCString |